Revert "New autotools version"
[scilab.git] / scilab / modules / interpolation / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Localization of the module interpolation
23 # Please see in SCI/tools/localization for localization management
24 #
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # This file must be used under the terms of the CeCILL.
31 # This source file is licensed as described in the file COPYING, which
32 # you should have received as part of this distribution.  The terms
33 # are also available at
34 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42
43 VPATH = @srcdir@
44 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
45 am__make_running_with_option = \
46   case $${target_option-} in \
47       ?) ;; \
48       *) echo "am__make_running_with_option: internal error: invalid" \
49               "target option '$${target_option-}' specified" >&2; \
50          exit 1;; \
51   esac; \
52   has_opt=no; \
53   sane_makeflags=$$MAKEFLAGS; \
54   if $(am__is_gnu_make); then \
55     sane_makeflags=$$MFLAGS; \
56   else \
57     case $$MAKEFLAGS in \
58       *\\[\ \   ]*) \
59         bs=\\; \
60         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
61           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
62     esac; \
63   fi; \
64   skip_next=no; \
65   strip_trailopt () \
66   { \
67     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
68   }; \
69   for flg in $$sane_makeflags; do \
70     test $$skip_next = yes && { skip_next=no; continue; }; \
71     case $$flg in \
72       *=*|--*) continue;; \
73         -*I) strip_trailopt 'I'; skip_next=yes;; \
74       -*I?*) strip_trailopt 'I';; \
75         -*O) strip_trailopt 'O'; skip_next=yes;; \
76       -*O?*) strip_trailopt 'O';; \
77         -*l) strip_trailopt 'l'; skip_next=yes;; \
78       -*l?*) strip_trailopt 'l';; \
79       -[dEDm]) skip_next=yes;; \
80       -[JT]) skip_next=yes;; \
81     esac; \
82     case $$flg in \
83       *$$target_option*) has_opt=yes; break;; \
84     esac; \
85   done; \
86   test $$has_opt = yes
87 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
88 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
89 pkgdatadir = $(datadir)/@PACKAGE@
90 pkgincludedir = $(includedir)/@PACKAGE@
91 pkglibdir = $(libdir)/@PACKAGE@
92 pkglibexecdir = $(libexecdir)/@PACKAGE@
93 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
94 install_sh_DATA = $(install_sh) -c -m 644
95 install_sh_PROGRAM = $(install_sh) -c
96 install_sh_SCRIPT = $(install_sh) -c
97 INSTALL_HEADER = $(INSTALL_DATA)
98 transform = $(program_transform_name)
99 NORMAL_INSTALL = :
100 PRE_INSTALL = :
101 POST_INSTALL = :
102 NORMAL_UNINSTALL = :
103 PRE_UNINSTALL = :
104 POST_UNINSTALL = :
105 build_triplet = @build@
106 host_triplet = @host@
107 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
108         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
109         $(top_srcdir)/config/depcomp
110 @NEED_JAVA_TRUE@am__append_1 = java
111 subdir = modules/interpolation
112 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
113 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
114         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
115         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
116         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
117         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
118         $(top_srcdir)/m4/intel_compiler.m4 \
119         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
120         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
121         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
122         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
123         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
124         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
125         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
126         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
127         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
128         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
129         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
130 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
131         $(ACLOCAL_M4)
132 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
133 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
134 CONFIG_CLEAN_FILES =
135 CONFIG_CLEAN_VPATH_FILES =
136 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
137 am__vpath_adj = case $$p in \
138     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
139     *) f=$$p;; \
140   esac;
141 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
142 am__install_max = 40
143 am__nobase_strip_setup = \
144   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
145 am__nobase_strip = \
146   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
147 am__nobase_list = $(am__nobase_strip_setup); \
148   for p in $$list; do echo "$$p $$p"; done | \
149   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
150   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
151     if (++n[$$2] == $(am__install_max)) \
152       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
153     END { for (dir in files) print dir, files[dir] }'
154 am__base_list = \
155   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
156   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
157 am__uninstall_files_from_dir = { \
158   test -z "$$files" \
159     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
160     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
161          $(am__cd) "$$dir" && rm -f $$files; }; \
162   }
163 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
164         "$(DESTDIR)$(libsciinterpolation_la_etcdir)" \
165         "$(DESTDIR)$(libsciinterpolation_la_rootdir)" \
166         "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)"
167 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
168 libsciinterpolation_algo_la_LIBADD =
169 am__objects_1 = libsciinterpolation_algo_la-interpolation.lo \
170         libsciinterpolation_algo_la-someinterp.lo
171 am__objects_2 = somespline.lo dspfit.lo cshep2d.lo
172 am_libsciinterpolation_algo_la_OBJECTS = $(am__objects_1) \
173         $(am__objects_2)
174 libsciinterpolation_algo_la_OBJECTS =  \
175         $(am_libsciinterpolation_algo_la_OBJECTS)
176 AM_V_lt = $(am__v_lt_@AM_V@)
177 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
178 am__v_lt_0 = --silent
179 am__v_lt_1 = 
180 libsciinterpolation_la_DEPENDENCIES = libsciinterpolation-algo.la
181 am__objects_3 = libsciinterpolation_la-sci_lsq_splin.lo \
182         libsciinterpolation_la-sci_interp.lo \
183         libsciinterpolation_la-sci_interp2d.lo \
184         libsciinterpolation_la-sci_splin.lo \
185         libsciinterpolation_la-gw_interpolation.lo \
186         libsciinterpolation_la-sci_cshep2d.lo \
187         libsciinterpolation_la-sci_interp3d.lo \
188         libsciinterpolation_la-sci_linear_interpn.lo \
189         libsciinterpolation_la-sci_splin2d.lo \
190         libsciinterpolation_la-sci_splin3d.lo \
191         libsciinterpolation_la-sci_bsplin3val.lo \
192         libsciinterpolation_la-sci_eval_cshep2d.lo
193 am_libsciinterpolation_la_OBJECTS = $(am__objects_3)
194 libsciinterpolation_la_OBJECTS = $(am_libsciinterpolation_la_OBJECTS)
195 AM_V_P = $(am__v_P_@AM_V@)
196 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
197 am__v_P_0 = false
198 am__v_P_1 = :
199 AM_V_GEN = $(am__v_GEN_@AM_V@)
200 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
201 am__v_GEN_0 = @echo "  GEN     " $@;
202 am__v_GEN_1 = 
203 AM_V_at = $(am__v_at_@AM_V@)
204 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
205 am__v_at_0 = @
206 am__v_at_1 = 
207 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
208 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
209 am__depfiles_maybe = depfiles
210 am__mv = mv -f
211 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
212         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
213 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
214         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
215         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
216         $(AM_CFLAGS) $(CFLAGS)
217 AM_V_CC = $(am__v_CC_@AM_V@)
218 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
219 am__v_CC_0 = @echo "  CC      " $@;
220 am__v_CC_1 = 
221 CCLD = $(CC)
222 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
223         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
224         $(AM_LDFLAGS) $(LDFLAGS) -o $@
225 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
226 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
227 am__v_CCLD_0 = @echo "  CCLD    " $@;
228 am__v_CCLD_1 = 
229 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
230 LTF77COMPILE = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
231         $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
232 AM_V_F77 = $(am__v_F77_@AM_V@)
233 am__v_F77_ = $(am__v_F77_@AM_DEFAULT_V@)
234 am__v_F77_0 = @echo "  F77     " $@;
235 am__v_F77_1 = 
236 F77LD = $(F77)
237 F77LINK = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
238         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
239         $(AM_LDFLAGS) $(LDFLAGS) -o $@
240 AM_V_F77LD = $(am__v_F77LD_@AM_V@)
241 am__v_F77LD_ = $(am__v_F77LD_@AM_DEFAULT_V@)
242 am__v_F77LD_0 = @echo "  F77LD   " $@;
243 am__v_F77LD_1 = 
244 SOURCES = $(libsciinterpolation_algo_la_SOURCES) \
245         $(libsciinterpolation_la_SOURCES)
246 DIST_SOURCES = $(libsciinterpolation_algo_la_SOURCES) \
247         $(libsciinterpolation_la_SOURCES)
248 am__can_run_installinfo = \
249   case $$AM_UPDATE_INFO_DIR in \
250     n|no|NO) false;; \
251     *) (install-info --version) >/dev/null 2>&1;; \
252   esac
253 DATA = $(libsciinterpolation_la_etc_DATA) \
254         $(libsciinterpolation_la_root_DATA) \
255         $(libsciinterpolation_la_sci_gateway_DATA)
256 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
257 # Read a list of newline-separated strings from the standard input,
258 # and print each of them once, without duplicates.  Input order is
259 # *not* preserved.
260 am__uniquify_input = $(AWK) '\
261   BEGIN { nonempty = 0; } \
262   { items[$$0] = 1; nonempty = 1; } \
263   END { if (nonempty) { for (i in items) print i; }; } \
264 '
265 # Make sure the list of sources is unique.  This is necessary because,
266 # e.g., the same source file might be shared among _SOURCES variables
267 # for different programs/libraries.
268 am__define_uniq_tagged_files = \
269   list='$(am__tagged_files)'; \
270   unique=`for i in $$list; do \
271     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
272   done | $(am__uniquify_input)`
273 ETAGS = etags
274 CTAGS = ctags
275 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
276 ACLOCAL = @ACLOCAL@
277 ALL_LINGUAS = @ALL_LINGUAS@
278 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
279 AMTAR = @AMTAR@
280 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
281 ANT = @ANT@
282 ANTLR = @ANTLR@
283 AR = @AR@
284 ARPACK_LIBS = @ARPACK_LIBS@
285 ASM3 = @ASM3@
286 AUTOCONF = @AUTOCONF@
287 AUTOHEADER = @AUTOHEADER@
288 AUTOMAKE = @AUTOMAKE@
289 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
290 AWK = @AWK@
291 BATIK = @BATIK@
292 BLAS_LIBS = @BLAS_LIBS@
293 CC = @CC@
294 CCACHE = @CCACHE@
295 CCDEPMODE = @CCDEPMODE@
296 CFLAGS = @CFLAGS@
297 CHECKSTYLE = @CHECKSTYLE@
298 COBERTURA = @COBERTURA@
299 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
300 COMMONS_IO = @COMMONS_IO@
301 COMMONS_LOGGING = @COMMONS_LOGGING@
302 CPP = @CPP@
303 CPPFLAGS = @CPPFLAGS@
304 CURL_CFLAGS = @CURL_CFLAGS@
305 CURL_CONFIG = @CURL_CONFIG@
306 CURL_LIBS = @CURL_LIBS@
307 CURL_VERSION = @CURL_VERSION@
308 CXX = @CXX@
309 CXXCPP = @CXXCPP@
310 CXXDEPMODE = @CXXDEPMODE@
311 CXXFLAGS = @CXXFLAGS@
312 CYGPATH_W = @CYGPATH_W@
313 DEFS = @DEFS@
314 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
315 DEPDIR = @DEPDIR@
316 DOCBOOK_ROOT = @DOCBOOK_ROOT@
317 DOXYGEN_BIN = @DOXYGEN_BIN@
318 DSYMUTIL = @DSYMUTIL@
319 DUMPBIN = @DUMPBIN@
320 ECHO_C = @ECHO_C@
321 ECHO_N = @ECHO_N@
322 ECHO_T = @ECHO_T@
323 EGREP = @EGREP@
324 EXEEXT = @EXEEXT@
325 F77 = @F77@
326 FFLAGS = @FFLAGS@
327 FFTW3_LIB = @FFTW3_LIB@
328 FFTW_ENABLE = @FFTW_ENABLE@
329 FGREP = @FGREP@
330 FLEXDOCK = @FLEXDOCK@
331 FLIBS = @FLIBS@
332 FOP = @FOP@
333 GENHTML = @GENHTML@
334 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
335 GIWS_BIN = @GIWS_BIN@
336 GLUEGEN2_RT = @GLUEGEN2_RT@
337 GMSGFMT = @GMSGFMT@
338 GMSGFMT_015 = @GMSGFMT_015@
339 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
340 GREP = @GREP@
341 GUI_ENABLE = @GUI_ENABLE@
342 HDF5_CFLAGS = @HDF5_CFLAGS@
343 HDF5_LIBS = @HDF5_LIBS@
344 HELP_ENABLE = @HELP_ENABLE@
345 INSTALL = @INSTALL@
346 INSTALL_DATA = @INSTALL_DATA@
347 INSTALL_PROGRAM = @INSTALL_PROGRAM@
348 INSTALL_SCRIPT = @INSTALL_SCRIPT@
349 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
350 INTLLIBS = @INTLLIBS@
351 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
352 JAR = @JAR@
353 JAVA = @JAVA@
354 JAVAC = @JAVAC@
355 JAVAC_DEBUG = @JAVAC_DEBUG@
356 JAVADOC = @JAVADOC@
357 JAVAH = @JAVAH@
358 JAVASCI_ENABLE = @JAVASCI_ENABLE@
359 JAVA_ENABLE = @JAVA_ENABLE@
360 JAVA_G = @JAVA_G@
361 JAVA_HOME = @JAVA_HOME@
362 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
363 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
364 JDB = @JDB@
365 JEUCLID_CORE = @JEUCLID_CORE@
366 JGRAPHX = @JGRAPHX@
367 JHALL = @JHALL@
368 JLATEXMATH = @JLATEXMATH@
369 JLATEXMATH_FOP = @JLATEXMATH_FOP@
370 JOGL2 = @JOGL2@
371 JROSETTA_API = @JROSETTA_API@
372 JROSETTA_ENGINE = @JROSETTA_ENGINE@
373 JUNIT4 = @JUNIT4@
374 LAPACK_LIBS = @LAPACK_LIBS@
375 LCOV = @LCOV@
376 LD = @LD@
377 LDFLAGS = @LDFLAGS@
378 LIBICONV = @LIBICONV@
379 LIBINTL = @LIBINTL@
380 LIBM = @LIBM@
381 LIBOBJS = @LIBOBJS@
382 LIBS = @LIBS@
383 LIBTOOL = @LIBTOOL@
384 LIPO = @LIPO@
385 LN_S = @LN_S@
386 LOGGING_LEVEL = @LOGGING_LEVEL@
387 LOOKS = @LOOKS@
388 LTLIBICONV = @LTLIBICONV@
389 LTLIBINTL = @LTLIBINTL@
390 LTLIBOBJS = @LTLIBOBJS@
391 MAINT = @MAINT@
392 MAKEINFO = @MAKEINFO@
393 MATIO_CFLAGS = @MATIO_CFLAGS@
394 MATIO_ENABLE = @MATIO_ENABLE@
395 MATIO_LIBS = @MATIO_LIBS@
396 MKDIR_P = @MKDIR_P@
397 MPI_ENABLE = @MPI_ENABLE@
398 MSGCAT = @MSGCAT@
399 MSGFMT = @MSGFMT@
400 MSGFMT_015 = @MSGFMT_015@
401 MSGMERGE = @MSGMERGE@
402 NM = @NM@
403 NMEDIT = @NMEDIT@
404 OBJDUMP = @OBJDUMP@
405 OBJEXT = @OBJEXT@
406 OCAMLC = @OCAMLC@
407 OCAMLDEP = @OCAMLDEP@
408 OCAMLLEX = @OCAMLLEX@
409 OCAMLOPT = @OCAMLOPT@
410 OCAMLYACC = @OCAMLYACC@
411 OPENMPI_CC = @OPENMPI_CC@
412 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
413 OPENMPI_CXX = @OPENMPI_CXX@
414 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
415 OPENMPI_LIBS = @OPENMPI_LIBS@
416 OPENMP_CFLAGS = @OPENMP_CFLAGS@
417 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
418 OPENMP_ENABLE = @OPENMP_ENABLE@
419 OPENMP_LIBS = @OPENMP_LIBS@
420 OTOOL = @OTOOL@
421 OTOOL64 = @OTOOL64@
422 PACKAGE = @PACKAGE@
423 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
424 PACKAGE_NAME = @PACKAGE_NAME@
425 PACKAGE_STRING = @PACKAGE_STRING@
426 PACKAGE_TARNAME = @PACKAGE_TARNAME@
427 PACKAGE_URL = @PACKAGE_URL@
428 PACKAGE_VERSION = @PACKAGE_VERSION@
429 PATH_SEPARATOR = @PATH_SEPARATOR@
430 PCRE_CFLAGS = @PCRE_CFLAGS@
431 PCRE_CONFIG = @PCRE_CONFIG@
432 PCRE_LIBS = @PCRE_LIBS@
433 PCRE_VERSION = @PCRE_VERSION@
434 PKG_CONFIG = @PKG_CONFIG@
435 POSUB = @POSUB@
436 POW_LIB = @POW_LIB@
437 PYTHON = @PYTHON@
438 RANLIB = @RANLIB@
439 RELOCATABLE = @RELOCATABLE@
440 RT_LIB = @RT_LIB@
441 SAXON = @SAXON@
442 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
443 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
444 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
445 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
446 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
447 SCIRENDERER = @SCIRENDERER@
448 SCIRENDERER_CP = @SCIRENDERER_CP@
449 SCI_CFLAGS = @SCI_CFLAGS@
450 SCI_CXXFLAGS = @SCI_CXXFLAGS@
451 SCI_FFLAGS = @SCI_FFLAGS@
452 SCI_LDFLAGS = @SCI_LDFLAGS@
453 SED = @SED@
454 SET_MAKE = @SET_MAKE@
455 SET_RELOCATABLE = @SET_RELOCATABLE@
456 SHELL = @SHELL@
457 SKINLF = @SKINLF@
458 SPLINT = @SPLINT@
459 STRIP = @STRIP@
460 SWIG_BIN = @SWIG_BIN@
461 SWIG_JAVA = @SWIG_JAVA@
462 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
463 SWIG_SCILAB = @SWIG_SCILAB@
464 TCLTK_LIBS = @TCLTK_LIBS@
465 TCL_INC_PATH = @TCL_INC_PATH@
466 TK_INC_PATH = @TK_INC_PATH@
467 UMFPACK_ENABLE = @UMFPACK_ENABLE@
468 UMFPACK_LIB = @UMFPACK_LIB@
469 USE_NLS = @USE_NLS@
470 VERSION = @VERSION@
471 WITH_OCAML = @WITH_OCAML@
472 WITH_TKSCI = @WITH_TKSCI@
473 XCOS_ENABLE = @XCOS_ENABLE@
474 XGETTEXT = @XGETTEXT@
475 XGETTEXT_015 = @XGETTEXT_015@
476 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
477 XMKMF = @XMKMF@
478 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
479 XML_APIS_EXT = @XML_APIS_EXT@
480 XML_CONFIG = @XML_CONFIG@
481 XML_FLAGS = @XML_FLAGS@
482 XML_LIBS = @XML_LIBS@
483 XML_VERSION = @XML_VERSION@
484 X_CFLAGS = @X_CFLAGS@
485 X_EXTRA_LIBS = @X_EXTRA_LIBS@
486 X_LIBS = @X_LIBS@
487 X_PRE_LIBS = @X_PRE_LIBS@
488 abs_builddir = @abs_builddir@
489 abs_srcdir = @abs_srcdir@
490 abs_top_builddir = @abs_top_builddir@
491 abs_top_srcdir = @abs_top_srcdir@
492 ac_ct_AR = @ac_ct_AR@
493 ac_ct_CC = @ac_ct_CC@
494 ac_ct_CXX = @ac_ct_CXX@
495 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
496 ac_ct_F77 = @ac_ct_F77@
497 am__include = @am__include@
498 am__leading_dot = @am__leading_dot@
499 am__quote = @am__quote@
500 am__tar = @am__tar@
501 am__untar = @am__untar@
502 bindir = @bindir@
503 build = @build@
504 build_alias = @build_alias@
505 build_cpu = @build_cpu@
506 build_os = @build_os@
507 build_vendor = @build_vendor@
508 builddir = @builddir@
509 cxx_present = @cxx_present@
510 datadir = @datadir@
511 datarootdir = @datarootdir@
512 docdir = @docdir@
513 dvidir = @dvidir@
514 exec_prefix = @exec_prefix@
515 host = @host@
516 host_alias = @host_alias@
517 host_cpu = @host_cpu@
518 host_os = @host_os@
519 host_vendor = @host_vendor@
520 htmldir = @htmldir@
521 includedir = @includedir@
522 infodir = @infodir@
523 install_sh = @install_sh@
524 libdir = @libdir@
525 libexecdir = @libexecdir@
526 localedir = @localedir@
527 localstatedir = @localstatedir@
528 mandir = @mandir@
529 mkdir_p = @mkdir_p@
530 oldincludedir = @oldincludedir@
531 pdfdir = @pdfdir@
532 prefix = @prefix@
533 program_transform_name = @program_transform_name@
534 psdir = @psdir@
535 sbindir = @sbindir@
536 sharedstatedir = @sharedstatedir@
537 srcdir = @srcdir@
538 sysconfdir = @sysconfdir@
539 target_alias = @target_alias@
540 top_build_prefix = @top_build_prefix@
541 top_builddir = @top_builddir@
542 top_srcdir = @top_srcdir@
543 INTERPOLATION_FORTRAN_SOURCES = src/fortran/somespline.f \
544 src/fortran/dspfit.f \
545 src/fortran/cshep2d.f
546
547 INTERPOLATION_C_SOURCES = src/c/interpolation.c \
548 src/c/someinterp.c
549
550 GATEWAY_C_SOURCES = sci_gateway/c/sci_lsq_splin.c \
551 sci_gateway/c/sci_interp.c \
552 sci_gateway/c/sci_interp2d.c \
553 sci_gateway/c/sci_splin.c \
554 sci_gateway/c/gw_interpolation.c \
555 sci_gateway/c/sci_cshep2d.c \
556 sci_gateway/c/sci_interp3d.c \
557 sci_gateway/c/sci_linear_interpn.c \
558 sci_gateway/c/sci_splin2d.c \
559 sci_gateway/c/sci_splin3d.c \
560 sci_gateway/c/sci_bsplin3val.c \
561 sci_gateway/c/sci_eval_cshep2d.c
562
563 libsciinterpolation_la_CPPFLAGS = -I$(srcdir)/includes/ \
564                                 -I$(srcdir)/src/c/ \
565                                 -I$(top_srcdir)/modules/output_stream/includes/ \
566                                 -I$(top_srcdir)/modules/api_scilab/includes/ \
567                                 -I$(top_srcdir)/modules/localization/includes/ \
568                 -I$(top_srcdir)/modules/string/includes/ \
569                 $(AM_CPPFLAGS)
570
571 pkglib_LTLIBRARIES = libsciinterpolation.la
572 noinst_LTLIBRARIES = libsciinterpolation-algo.la
573 libsciinterpolation_algo_la_SOURCES = $(INTERPOLATION_C_SOURCES) $(INTERPOLATION_FORTRAN_SOURCES)
574 libsciinterpolation_la_SOURCES = $(GATEWAY_C_SOURCES)
575 libsciinterpolation_algo_la_CPPFLAGS = $(libsciinterpolation_la_CPPFLAGS)
576
577 # For the code check (splint)
578 CHECK_SRC = $(INTERPOLATION_C_SOURCES) $(GATEWAY_C_SOURCES)
579 INCLUDE_FLAGS = $(libsciinterpolation_la_CPPFLAGS)
580 libsciinterpolation_la_LIBADD = \
581         libsciinterpolation-algo.la
582
583
584 #### Target ######
585 modulename = interpolation
586
587 #### interpolation : Conf files ####
588 libsciinterpolation_la_rootdir = $(mydatadir)
589 libsciinterpolation_la_root_DATA = license.txt 
590
591 ####�interpolation : init scripts ####
592 libsciinterpolation_la_etcdir = $(mydatadir)/etc
593 libsciinterpolation_la_etc_DATA = etc/interpolation.quit etc/interpolation.start
594
595 ####�interpolation : gateway declaration ####
596 libsciinterpolation_la_sci_gatewaydir = $(mydatadir)/sci_gateway
597 libsciinterpolation_la_sci_gateway_DATA = sci_gateway/interpolation_gateway.xml
598
599 # Where all the Scilab stuff is installed (macros, help, ...)
600 mydatadir = $(pkgdatadir)/modules/$(modulename)
601
602 # Set AM_* SCI detected settings
603 AM_CPPFLAGS = $(SCI_CPPFLAGS)
604 AM_CFLAGS = $(SCI_CFLAGS)
605 AM_CXXFLAGS = $(SCI_CXXFLAGS)
606 # append includes to AM_FFLAGS to manage fortran includes
607 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
608
609 # Tag shared libraries with the Scilab version
610 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
611
612 # splint options
613 SPLINT_OPTIONS = -weak -booltype BOOL
614
615 ########################### JAVA ######################################
616 #### We are delegating java compilation to ant... Thanks to that
617 #### the procedure will be the same with Microsoft Windows (C)
618 #### and Linux/Unix
619 #######################################################################
620 TARGETS_ALL = $(am__append_1)
621
622 ################ MACROS ######################
623 # Rule to build a macro
624 # NOT USED  AT THE MOMENT
625 SUFFIXES = .sci 
626
627 ########### INSTALL DOCUMENTATION ###################
628
629 # Install documentation files into the right target
630 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
631 # automake needs the html files to be present which is not the case when
632 # we are building Scilab
633
634 # Where it should be installed
635 pkgdocdir = $(mydatadir)
636
637 # What is the mask of the help source
638 DOCMASKXML = *.xml
639
640 # What is the mask of the MathML sources
641 DOCMASKMML = *.mml
642
643 ########### INSTALL DATA ###################
644 # Install macros, help & demos
645 # Where it should be installed
646 pkgmacrosdir = $(mydatadir)
647 # Which directory we process
648 MACRODIRS = macros/
649 # Mask of the Scilab sources macros
650 MACROMASK = *.sci
651 # Mask of the Scilab executable sources macros
652 MACROBUILDMASK = *.sce
653 # Mask of the Scilab compiled macros
654 MACROBINMASK = *.bin
655 # List of the standard directory for tests
656 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
657 # Where the demos should be installed
658 pkgdemosdir = $(mydatadir)
659 # List of the standard directory for demos
660 DEMOS_DIR = demos
661 # List of the standard directory for examples
662 EXAMPLES_DIR = examples
663 # Where to export JAVA archives (.jar)
664 JARDIR = jar/
665 # JAR files mask
666 JARMASK = *.jar
667 # Chapter file 
668 HELP_CHAPTERDIR = help/
669 HELP_CHAPTERFILE = addchapter.sce
670 HELP_CHAPTERLANG = en_US fr_FR pt_BR
671 all: all-am
672
673 .SUFFIXES:
674 .SUFFIXES: .sci .bin .c .f .lo .o .obj
675 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
676         @for dep in $?; do \
677           case '$(am__configure_deps)' in \
678             *$$dep*) \
679               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
680                 && { if test -f $@; then exit 0; else break; fi; }; \
681               exit 1;; \
682           esac; \
683         done; \
684         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/interpolation/Makefile'; \
685         $(am__cd) $(top_srcdir) && \
686           $(AUTOMAKE) --foreign modules/interpolation/Makefile
687 .PRECIOUS: Makefile
688 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
689         @case '$?' in \
690           *config.status*) \
691             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
692           *) \
693             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
694             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
695         esac;
696 $(top_srcdir)/Makefile.incl.am:
697
698 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
699         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
700
701 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
702         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
703 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
704         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
705 $(am__aclocal_m4_deps):
706
707 clean-noinstLTLIBRARIES:
708         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
709         @list='$(noinst_LTLIBRARIES)'; \
710         locs=`for p in $$list; do echo $$p; done | \
711               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
712               sort -u`; \
713         test -z "$$locs" || { \
714           echo rm -f $${locs}; \
715           rm -f $${locs}; \
716         }
717
718 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
719         @$(NORMAL_INSTALL)
720         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
721         list2=; for p in $$list; do \
722           if test -f $$p; then \
723             list2="$$list2 $$p"; \
724           else :; fi; \
725         done; \
726         test -z "$$list2" || { \
727           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
728           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
729           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
730           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
731         }
732
733 uninstall-pkglibLTLIBRARIES:
734         @$(NORMAL_UNINSTALL)
735         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
736         for p in $$list; do \
737           $(am__strip_dir) \
738           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
739           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
740         done
741
742 clean-pkglibLTLIBRARIES:
743         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
744         @list='$(pkglib_LTLIBRARIES)'; \
745         locs=`for p in $$list; do echo $$p; done | \
746               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
747               sort -u`; \
748         test -z "$$locs" || { \
749           echo rm -f $${locs}; \
750           rm -f $${locs}; \
751         }
752
753 libsciinterpolation-algo.la: $(libsciinterpolation_algo_la_OBJECTS) $(libsciinterpolation_algo_la_DEPENDENCIES) $(EXTRA_libsciinterpolation_algo_la_DEPENDENCIES) 
754         $(AM_V_F77LD)$(F77LINK)  $(libsciinterpolation_algo_la_OBJECTS) $(libsciinterpolation_algo_la_LIBADD) $(LIBS)
755
756 libsciinterpolation.la: $(libsciinterpolation_la_OBJECTS) $(libsciinterpolation_la_DEPENDENCIES) $(EXTRA_libsciinterpolation_la_DEPENDENCIES) 
757         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libsciinterpolation_la_OBJECTS) $(libsciinterpolation_la_LIBADD) $(LIBS)
758
759 mostlyclean-compile:
760         -rm -f *.$(OBJEXT)
761
762 distclean-compile:
763         -rm -f *.tab.c
764
765 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_algo_la-interpolation.Plo@am__quote@
766 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_algo_la-someinterp.Plo@am__quote@
767 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-gw_interpolation.Plo@am__quote@
768 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Plo@am__quote@
769 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Plo@am__quote@
770 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Plo@am__quote@
771 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_interp.Plo@am__quote@
772 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_interp2d.Plo@am__quote@
773 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_interp3d.Plo@am__quote@
774 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Plo@am__quote@
775 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Plo@am__quote@
776 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_splin.Plo@am__quote@
777 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_splin2d.Plo@am__quote@
778 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciinterpolation_la-sci_splin3d.Plo@am__quote@
779
780 .c.o:
781 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
782 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
783 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
784 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
785 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
786
787 .c.obj:
788 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
789 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
790 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
791 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
792 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
793
794 .c.lo:
795 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
796 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
797 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
798 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
799 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
800
801 libsciinterpolation_algo_la-interpolation.lo: src/c/interpolation.c
802 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_algo_la-interpolation.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_algo_la-interpolation.Tpo -c -o libsciinterpolation_algo_la-interpolation.lo `test -f 'src/c/interpolation.c' || echo '$(srcdir)/'`src/c/interpolation.c
803 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_algo_la-interpolation.Tpo $(DEPDIR)/libsciinterpolation_algo_la-interpolation.Plo
804 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/interpolation.c' object='libsciinterpolation_algo_la-interpolation.lo' libtool=yes @AMDEPBACKSLASH@
805 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
806 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_algo_la-interpolation.lo `test -f 'src/c/interpolation.c' || echo '$(srcdir)/'`src/c/interpolation.c
807
808 libsciinterpolation_algo_la-someinterp.lo: src/c/someinterp.c
809 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_algo_la-someinterp.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_algo_la-someinterp.Tpo -c -o libsciinterpolation_algo_la-someinterp.lo `test -f 'src/c/someinterp.c' || echo '$(srcdir)/'`src/c/someinterp.c
810 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_algo_la-someinterp.Tpo $(DEPDIR)/libsciinterpolation_algo_la-someinterp.Plo
811 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/someinterp.c' object='libsciinterpolation_algo_la-someinterp.lo' libtool=yes @AMDEPBACKSLASH@
812 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
813 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_algo_la-someinterp.lo `test -f 'src/c/someinterp.c' || echo '$(srcdir)/'`src/c/someinterp.c
814
815 libsciinterpolation_la-sci_lsq_splin.lo: sci_gateway/c/sci_lsq_splin.c
816 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_lsq_splin.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Tpo -c -o libsciinterpolation_la-sci_lsq_splin.lo `test -f 'sci_gateway/c/sci_lsq_splin.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lsq_splin.c
817 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Tpo $(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Plo
818 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_lsq_splin.c' object='libsciinterpolation_la-sci_lsq_splin.lo' libtool=yes @AMDEPBACKSLASH@
819 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
820 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_lsq_splin.lo `test -f 'sci_gateway/c/sci_lsq_splin.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lsq_splin.c
821
822 libsciinterpolation_la-sci_interp.lo: sci_gateway/c/sci_interp.c
823 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_interp.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_interp.Tpo -c -o libsciinterpolation_la-sci_interp.lo `test -f 'sci_gateway/c/sci_interp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_interp.c
824 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_interp.Tpo $(DEPDIR)/libsciinterpolation_la-sci_interp.Plo
825 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_interp.c' object='libsciinterpolation_la-sci_interp.lo' libtool=yes @AMDEPBACKSLASH@
826 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
827 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_interp.lo `test -f 'sci_gateway/c/sci_interp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_interp.c
828
829 libsciinterpolation_la-sci_interp2d.lo: sci_gateway/c/sci_interp2d.c
830 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_interp2d.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_interp2d.Tpo -c -o libsciinterpolation_la-sci_interp2d.lo `test -f 'sci_gateway/c/sci_interp2d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_interp2d.c
831 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_interp2d.Tpo $(DEPDIR)/libsciinterpolation_la-sci_interp2d.Plo
832 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_interp2d.c' object='libsciinterpolation_la-sci_interp2d.lo' libtool=yes @AMDEPBACKSLASH@
833 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
834 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_interp2d.lo `test -f 'sci_gateway/c/sci_interp2d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_interp2d.c
835
836 libsciinterpolation_la-sci_splin.lo: sci_gateway/c/sci_splin.c
837 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_splin.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_splin.Tpo -c -o libsciinterpolation_la-sci_splin.lo `test -f 'sci_gateway/c/sci_splin.c' || echo '$(srcdir)/'`sci_gateway/c/sci_splin.c
838 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_splin.Tpo $(DEPDIR)/libsciinterpolation_la-sci_splin.Plo
839 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_splin.c' object='libsciinterpolation_la-sci_splin.lo' libtool=yes @AMDEPBACKSLASH@
840 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
841 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_splin.lo `test -f 'sci_gateway/c/sci_splin.c' || echo '$(srcdir)/'`sci_gateway/c/sci_splin.c
842
843 libsciinterpolation_la-gw_interpolation.lo: sci_gateway/c/gw_interpolation.c
844 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-gw_interpolation.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-gw_interpolation.Tpo -c -o libsciinterpolation_la-gw_interpolation.lo `test -f 'sci_gateway/c/gw_interpolation.c' || echo '$(srcdir)/'`sci_gateway/c/gw_interpolation.c
845 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-gw_interpolation.Tpo $(DEPDIR)/libsciinterpolation_la-gw_interpolation.Plo
846 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_interpolation.c' object='libsciinterpolation_la-gw_interpolation.lo' libtool=yes @AMDEPBACKSLASH@
847 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
848 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-gw_interpolation.lo `test -f 'sci_gateway/c/gw_interpolation.c' || echo '$(srcdir)/'`sci_gateway/c/gw_interpolation.c
849
850 libsciinterpolation_la-sci_cshep2d.lo: sci_gateway/c/sci_cshep2d.c
851 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_cshep2d.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Tpo -c -o libsciinterpolation_la-sci_cshep2d.lo `test -f 'sci_gateway/c/sci_cshep2d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cshep2d.c
852 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Tpo $(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Plo
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cshep2d.c' object='libsciinterpolation_la-sci_cshep2d.lo' libtool=yes @AMDEPBACKSLASH@
854 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
855 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_cshep2d.lo `test -f 'sci_gateway/c/sci_cshep2d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cshep2d.c
856
857 libsciinterpolation_la-sci_interp3d.lo: sci_gateway/c/sci_interp3d.c
858 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_interp3d.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_interp3d.Tpo -c -o libsciinterpolation_la-sci_interp3d.lo `test -f 'sci_gateway/c/sci_interp3d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_interp3d.c
859 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_interp3d.Tpo $(DEPDIR)/libsciinterpolation_la-sci_interp3d.Plo
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_interp3d.c' object='libsciinterpolation_la-sci_interp3d.lo' libtool=yes @AMDEPBACKSLASH@
861 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
862 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_interp3d.lo `test -f 'sci_gateway/c/sci_interp3d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_interp3d.c
863
864 libsciinterpolation_la-sci_linear_interpn.lo: sci_gateway/c/sci_linear_interpn.c
865 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_linear_interpn.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Tpo -c -o libsciinterpolation_la-sci_linear_interpn.lo `test -f 'sci_gateway/c/sci_linear_interpn.c' || echo '$(srcdir)/'`sci_gateway/c/sci_linear_interpn.c
866 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Tpo $(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Plo
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_linear_interpn.c' object='libsciinterpolation_la-sci_linear_interpn.lo' libtool=yes @AMDEPBACKSLASH@
868 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
869 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_linear_interpn.lo `test -f 'sci_gateway/c/sci_linear_interpn.c' || echo '$(srcdir)/'`sci_gateway/c/sci_linear_interpn.c
870
871 libsciinterpolation_la-sci_splin2d.lo: sci_gateway/c/sci_splin2d.c
872 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_splin2d.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_splin2d.Tpo -c -o libsciinterpolation_la-sci_splin2d.lo `test -f 'sci_gateway/c/sci_splin2d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_splin2d.c
873 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_splin2d.Tpo $(DEPDIR)/libsciinterpolation_la-sci_splin2d.Plo
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_splin2d.c' object='libsciinterpolation_la-sci_splin2d.lo' libtool=yes @AMDEPBACKSLASH@
875 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
876 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_splin2d.lo `test -f 'sci_gateway/c/sci_splin2d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_splin2d.c
877
878 libsciinterpolation_la-sci_splin3d.lo: sci_gateway/c/sci_splin3d.c
879 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_splin3d.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_splin3d.Tpo -c -o libsciinterpolation_la-sci_splin3d.lo `test -f 'sci_gateway/c/sci_splin3d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_splin3d.c
880 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_splin3d.Tpo $(DEPDIR)/libsciinterpolation_la-sci_splin3d.Plo
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_splin3d.c' object='libsciinterpolation_la-sci_splin3d.lo' libtool=yes @AMDEPBACKSLASH@
882 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
883 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_splin3d.lo `test -f 'sci_gateway/c/sci_splin3d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_splin3d.c
884
885 libsciinterpolation_la-sci_bsplin3val.lo: sci_gateway/c/sci_bsplin3val.c
886 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_bsplin3val.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Tpo -c -o libsciinterpolation_la-sci_bsplin3val.lo `test -f 'sci_gateway/c/sci_bsplin3val.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bsplin3val.c
887 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Tpo $(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Plo
888 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_bsplin3val.c' object='libsciinterpolation_la-sci_bsplin3val.lo' libtool=yes @AMDEPBACKSLASH@
889 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
890 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_bsplin3val.lo `test -f 'sci_gateway/c/sci_bsplin3val.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bsplin3val.c
891
892 libsciinterpolation_la-sci_eval_cshep2d.lo: sci_gateway/c/sci_eval_cshep2d.c
893 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciinterpolation_la-sci_eval_cshep2d.lo -MD -MP -MF $(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Tpo -c -o libsciinterpolation_la-sci_eval_cshep2d.lo `test -f 'sci_gateway/c/sci_eval_cshep2d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_eval_cshep2d.c
894 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Tpo $(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Plo
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_eval_cshep2d.c' object='libsciinterpolation_la-sci_eval_cshep2d.lo' libtool=yes @AMDEPBACKSLASH@
896 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
897 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciinterpolation_la-sci_eval_cshep2d.lo `test -f 'sci_gateway/c/sci_eval_cshep2d.c' || echo '$(srcdir)/'`sci_gateway/c/sci_eval_cshep2d.c
898
899 .f.o:
900         $(AM_V_F77)$(F77COMPILE) -c -o $@ $<
901
902 .f.obj:
903         $(AM_V_F77)$(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
904
905 .f.lo:
906         $(AM_V_F77)$(LTF77COMPILE) -c -o $@ $<
907
908 somespline.lo: src/fortran/somespline.f
909         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o somespline.lo `test -f 'src/fortran/somespline.f' || echo '$(srcdir)/'`src/fortran/somespline.f
910
911 dspfit.lo: src/fortran/dspfit.f
912         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dspfit.lo `test -f 'src/fortran/dspfit.f' || echo '$(srcdir)/'`src/fortran/dspfit.f
913
914 cshep2d.lo: src/fortran/cshep2d.f
915         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o cshep2d.lo `test -f 'src/fortran/cshep2d.f' || echo '$(srcdir)/'`src/fortran/cshep2d.f
916
917 mostlyclean-libtool:
918         -rm -f *.lo
919
920 clean-libtool:
921         -rm -rf .libs _libs
922 install-libsciinterpolation_la_etcDATA: $(libsciinterpolation_la_etc_DATA)
923         @$(NORMAL_INSTALL)
924         @list='$(libsciinterpolation_la_etc_DATA)'; test -n "$(libsciinterpolation_la_etcdir)" || list=; \
925         if test -n "$$list"; then \
926           echo " $(MKDIR_P) '$(DESTDIR)$(libsciinterpolation_la_etcdir)'"; \
927           $(MKDIR_P) "$(DESTDIR)$(libsciinterpolation_la_etcdir)" || exit 1; \
928         fi; \
929         for p in $$list; do \
930           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
931           echo "$$d$$p"; \
932         done | $(am__base_list) | \
933         while read files; do \
934           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciinterpolation_la_etcdir)'"; \
935           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciinterpolation_la_etcdir)" || exit $$?; \
936         done
937
938 uninstall-libsciinterpolation_la_etcDATA:
939         @$(NORMAL_UNINSTALL)
940         @list='$(libsciinterpolation_la_etc_DATA)'; test -n "$(libsciinterpolation_la_etcdir)" || list=; \
941         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
942         dir='$(DESTDIR)$(libsciinterpolation_la_etcdir)'; $(am__uninstall_files_from_dir)
943 install-libsciinterpolation_la_rootDATA: $(libsciinterpolation_la_root_DATA)
944         @$(NORMAL_INSTALL)
945         @list='$(libsciinterpolation_la_root_DATA)'; test -n "$(libsciinterpolation_la_rootdir)" || list=; \
946         if test -n "$$list"; then \
947           echo " $(MKDIR_P) '$(DESTDIR)$(libsciinterpolation_la_rootdir)'"; \
948           $(MKDIR_P) "$(DESTDIR)$(libsciinterpolation_la_rootdir)" || exit 1; \
949         fi; \
950         for p in $$list; do \
951           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
952           echo "$$d$$p"; \
953         done | $(am__base_list) | \
954         while read files; do \
955           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciinterpolation_la_rootdir)'"; \
956           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciinterpolation_la_rootdir)" || exit $$?; \
957         done
958
959 uninstall-libsciinterpolation_la_rootDATA:
960         @$(NORMAL_UNINSTALL)
961         @list='$(libsciinterpolation_la_root_DATA)'; test -n "$(libsciinterpolation_la_rootdir)" || list=; \
962         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
963         dir='$(DESTDIR)$(libsciinterpolation_la_rootdir)'; $(am__uninstall_files_from_dir)
964 install-libsciinterpolation_la_sci_gatewayDATA: $(libsciinterpolation_la_sci_gateway_DATA)
965         @$(NORMAL_INSTALL)
966         @list='$(libsciinterpolation_la_sci_gateway_DATA)'; test -n "$(libsciinterpolation_la_sci_gatewaydir)" || list=; \
967         if test -n "$$list"; then \
968           echo " $(MKDIR_P) '$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)'"; \
969           $(MKDIR_P) "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)" || exit 1; \
970         fi; \
971         for p in $$list; do \
972           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
973           echo "$$d$$p"; \
974         done | $(am__base_list) | \
975         while read files; do \
976           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)'"; \
977           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)" || exit $$?; \
978         done
979
980 uninstall-libsciinterpolation_la_sci_gatewayDATA:
981         @$(NORMAL_UNINSTALL)
982         @list='$(libsciinterpolation_la_sci_gateway_DATA)'; test -n "$(libsciinterpolation_la_sci_gatewaydir)" || list=; \
983         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
984         dir='$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
985
986 ID: $(am__tagged_files)
987         $(am__define_uniq_tagged_files); mkid -fID $$unique
988 tags: tags-am
989 TAGS: tags
990
991 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
992         set x; \
993         here=`pwd`; \
994         $(am__define_uniq_tagged_files); \
995         shift; \
996         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
997           test -n "$$unique" || unique=$$empty_fix; \
998           if test $$# -gt 0; then \
999             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1000               "$$@" $$unique; \
1001           else \
1002             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1003               $$unique; \
1004           fi; \
1005         fi
1006 ctags: ctags-am
1007
1008 CTAGS: ctags
1009 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1010         $(am__define_uniq_tagged_files); \
1011         test -z "$(CTAGS_ARGS)$$unique" \
1012           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1013              $$unique
1014
1015 GTAGS:
1016         here=`$(am__cd) $(top_builddir) && pwd` \
1017           && $(am__cd) $(top_srcdir) \
1018           && gtags -i $(GTAGS_ARGS) "$$here"
1019 cscopelist: cscopelist-am
1020
1021 cscopelist-am: $(am__tagged_files)
1022         list='$(am__tagged_files)'; \
1023         case "$(srcdir)" in \
1024           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1025           *) sdir=$(subdir)/$(srcdir) ;; \
1026         esac; \
1027         for i in $$list; do \
1028           if test -f "$$i"; then \
1029             echo "$(subdir)/$$i"; \
1030           else \
1031             echo "$$sdir/$$i"; \
1032           fi; \
1033         done >> $(top_builddir)/cscope.files
1034
1035 distclean-tags:
1036         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1037
1038 distdir: $(DISTFILES)
1039         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1040         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1041         list='$(DISTFILES)'; \
1042           dist_files=`for file in $$list; do echo $$file; done | \
1043           sed -e "s|^$$srcdirstrip/||;t" \
1044               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1045         case $$dist_files in \
1046           */*) $(MKDIR_P) `echo "$$dist_files" | \
1047                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1048                            sort -u` ;; \
1049         esac; \
1050         for file in $$dist_files; do \
1051           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1052           if test -d $$d/$$file; then \
1053             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1054             if test -d "$(distdir)/$$file"; then \
1055               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1056             fi; \
1057             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1058               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1059               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1060             fi; \
1061             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1062           else \
1063             test -f "$(distdir)/$$file" \
1064             || cp -p $$d/$$file "$(distdir)/$$file" \
1065             || exit 1; \
1066           fi; \
1067         done
1068 check-am: all-am
1069         $(MAKE) $(AM_MAKEFLAGS) check-local
1070 check: check-am
1071 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1072 installdirs:
1073         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciinterpolation_la_etcdir)" "$(DESTDIR)$(libsciinterpolation_la_rootdir)" "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)"; do \
1074           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1075         done
1076 install: install-am
1077 install-exec: install-exec-am
1078 install-data: install-data-am
1079 uninstall: uninstall-am
1080
1081 install-am: all-am
1082         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1083
1084 installcheck: installcheck-am
1085 install-strip:
1086         if test -z '$(STRIP)'; then \
1087           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1088             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1089               install; \
1090         else \
1091           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1092             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1093             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1094         fi
1095 mostlyclean-generic:
1096
1097 clean-generic:
1098
1099 distclean-generic:
1100         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1101         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1102
1103 maintainer-clean-generic:
1104         @echo "This command is intended for maintainers to use"
1105         @echo "it deletes files that may require special tools to rebuild."
1106 clean: clean-am
1107
1108 clean-am: clean-generic clean-libtool clean-local \
1109         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1110
1111 distclean: distclean-am
1112         -rm -rf ./$(DEPDIR)
1113         -rm -f Makefile
1114 distclean-am: clean-am distclean-compile distclean-generic \
1115         distclean-local distclean-tags
1116
1117 dvi: dvi-am
1118
1119 dvi-am:
1120
1121 html: html-am
1122
1123 html-am:
1124
1125 info: info-am
1126
1127 info-am:
1128
1129 install-data-am: install-data-local \
1130         install-libsciinterpolation_la_etcDATA \
1131         install-libsciinterpolation_la_rootDATA \
1132         install-libsciinterpolation_la_sci_gatewayDATA
1133
1134 install-dvi: install-dvi-am
1135
1136 install-dvi-am:
1137
1138 install-exec-am: install-pkglibLTLIBRARIES
1139
1140 install-html: install-html-am
1141
1142 install-html-am: install-html-local
1143
1144 install-info: install-info-am
1145
1146 install-info-am:
1147
1148 install-man:
1149
1150 install-pdf: install-pdf-am
1151
1152 install-pdf-am:
1153
1154 install-ps: install-ps-am
1155
1156 install-ps-am:
1157
1158 installcheck-am:
1159
1160 maintainer-clean: maintainer-clean-am
1161         -rm -rf ./$(DEPDIR)
1162         -rm -f Makefile
1163 maintainer-clean-am: distclean-am maintainer-clean-generic
1164
1165 mostlyclean: mostlyclean-am
1166
1167 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1168         mostlyclean-libtool
1169
1170 pdf: pdf-am
1171
1172 pdf-am:
1173
1174 ps: ps-am
1175
1176 ps-am:
1177
1178 uninstall-am: uninstall-libsciinterpolation_la_etcDATA \
1179         uninstall-libsciinterpolation_la_rootDATA \
1180         uninstall-libsciinterpolation_la_sci_gatewayDATA \
1181         uninstall-pkglibLTLIBRARIES
1182
1183 .MAKE: check-am install-am install-strip
1184
1185 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1186         check-local clean clean-generic clean-libtool clean-local \
1187         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1188         ctags ctags-am distclean distclean-compile distclean-generic \
1189         distclean-libtool distclean-local distclean-tags distdir dvi \
1190         dvi-am html html-am info info-am install install-am \
1191         install-data install-data-am install-data-local install-dvi \
1192         install-dvi-am install-exec install-exec-am install-html \
1193         install-html-am install-html-local install-info \
1194         install-info-am install-libsciinterpolation_la_etcDATA \
1195         install-libsciinterpolation_la_rootDATA \
1196         install-libsciinterpolation_la_sci_gatewayDATA install-man \
1197         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1198         install-ps install-ps-am install-strip installcheck \
1199         installcheck-am installdirs maintainer-clean \
1200         maintainer-clean-generic mostlyclean mostlyclean-compile \
1201         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1202         tags tags-am uninstall uninstall-am \
1203         uninstall-libsciinterpolation_la_etcDATA \
1204         uninstall-libsciinterpolation_la_rootDATA \
1205         uninstall-libsciinterpolation_la_sci_gatewayDATA \
1206         uninstall-pkglibLTLIBRARIES
1207
1208
1209 # This target enables tests for Scilab
1210 check-local: $(top_builddir)/scilab-bin test
1211         if test -d $(mydatadir)/tests; then \
1212           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1213         fi
1214 check-code:
1215         if test -f build.xml; then \
1216                 $(ANT) checkstyle; \
1217         fi
1218         if test -x "$(SPLINT)"; then \
1219                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1220         fi
1221 @NEED_JAVA_TRUE@java:
1222 # Some configurations needs to export JAVA_HOME in the current env
1223 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1224 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1225 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1226 @NEED_JAVA_TRUE@                $(ANT); \
1227 @NEED_JAVA_TRUE@        fi
1228
1229 @NEED_JAVA_TRUE@clean-java:
1230 # Some configurations needs to export JAVA_HOME in the current env
1231 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1232 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1233 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1234 @NEED_JAVA_TRUE@                $(ANT) clean; \
1235 @NEED_JAVA_TRUE@        fi;
1236
1237 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1238 # We call the target swig-build on the variable SWIG_WRAPPERS
1239
1240 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1241 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1242 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1243 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1244 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1245 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1246 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1247 @SWIG_TRUE@             done; \
1248 @SWIG_TRUE@     fi
1249
1250 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1251 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1252 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1253 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1254 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1255 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1256 @SWIG_TRUE@             done; \
1257 @SWIG_TRUE@     fi
1258
1259 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1260 # We call the target swig-build on the variable SWIG_WRAPPERS
1261
1262 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1263 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1264 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1265 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1266 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1267 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1268 @GIWS_TRUE@             done; \
1269 @GIWS_TRUE@     fi
1270
1271 @GIWS_TRUE@giws-exception:
1272 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1273 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1274 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1275
1276 macros:
1277         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1278                 echo "Error : Cannot build $< : Scilab has not been built"; \
1279         else \
1280                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1281         fi)
1282
1283 # Removes the macros
1284 clean-macros:
1285 # Removes macros (*.bin generated from .sci)
1286         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1287                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1288                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1289         done
1290
1291 test:
1292 # More tests could be added here
1293         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1294         if test -f build.xml -a $$USEANT -eq 1; then \
1295                 $(ANT) test; \
1296         fi
1297
1298 all-local: $(TARGETS_ALL)
1299
1300 .sci.bin:
1301         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1302         echo "Error : Cannot build $< : Scilab has not been build"; \
1303         else \
1304         echo "Creating $@"; \
1305         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1306         fi )
1307
1308 install-html-local:
1309
1310 install-data-local-local:
1311 # Mainly for javasci
1312         @if test -d $(srcdir)/javadoc; then \
1313                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1314         fi
1315 # If the user wants the help sources to be installed
1316 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1317 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1318 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1319 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1320 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1321 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1322 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1323 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1324 @INSTALL_HELP_XML_TRUE@           done ; \
1325 @INSTALL_HELP_XML_TRUE@         fi; \
1326 @INSTALL_HELP_XML_TRUE@  fi; \
1327 @INSTALL_HELP_XML_TRUE@ done; \
1328 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1329 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1330 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1331 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1332 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1333 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1334 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1335 @INSTALL_HELP_XML_TRUE@           done ; \
1336 @INSTALL_HELP_XML_TRUE@         fi; \
1337 @INSTALL_HELP_XML_TRUE@ fi
1338 install-data-local:
1339 # Install the tests
1340         @echo "-------- Install tests (if any) --------"; \
1341         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1342           if test -d $(srcdir)/$$dir/; then \
1343             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1344                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1345                     if test -d "$(srcdir)/$$dir/$$file"; then \
1346                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1347                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1348                     else \
1349                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1350                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1351                     fi \
1352                   done; \
1353           fi; \
1354         done
1355 # Install the help chapter
1356         @echo "-------- Install the help chapter (if any) --------"; \
1357         for lang in $(HELP_CHAPTERLANG); do \
1358                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1359                 if test -f $$HELPFILE; then \
1360                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1361                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1362                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1363                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1364                 fi; \
1365         done
1366 # Install the demos & examples
1367         @echo "-------- Install demos & examples (if any) --------"; \
1368         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1369           if test -d $(srcdir)/$$dir/; then \
1370             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1371                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1372                     if test -d "$(srcdir)/$$dir/$$file"; then \
1373                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1374                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1375                     else \
1376                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1377                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1378                     fi \
1379                   done; \
1380           fi; \
1381         done
1382 # Install the macros
1383         @echo "-------- Install macros (if any) --------"; \
1384         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1385           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1386                 if test -d $(srcdir)/$$dir/; then \
1387                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1388                         if test -n "$(MACROSSPECIALEXT)"; then \
1389                                 specialExtDir=""; \
1390                                 for specialExt in $(MACROSSPECIALEXT); do \
1391                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1392                                 done; \
1393                                 FILELIST="$$FILELIST $$specialExtDir"; \
1394                         fi; \
1395                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1396                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1397                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1398                   done; \
1399                 fi; \
1400         done
1401 # Install java files (.jar)
1402         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1403         echo "-------- Install jar files --------"; \
1404     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1405           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1406                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1407                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1408           done ; \
1409         fi
1410
1411 ########### CLEAN ###################
1412 # Clean help (generated automatically by Scilab)
1413 # It used to clean the macro (clean-macros) but this was causing
1414 # make clean && make to fail Scilab startup
1415 @NEED_JAVA_TRUE@clean-local: clean-java
1416 @NEED_JAVA_FALSE@clean-local:
1417
1418 distclean-local:
1419         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1420
1421 .PHONY: macros java swig giws
1422
1423 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1424 # Otherwise a system limit (for SysV at least) may be exceeded.
1425 .NOEXPORT: